<!-- Soal 2-->
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <button onclick="vm.openForm()">Open Form</button>
    <h1>{{'Nilai a = ' + a}}</h1>
    <h1>{{'Rata rata = ' + b}}</h1>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        a : 0,
        b : 0
      },
      methods : {
        openForm : function(){
            i=0;
            nilaiMasuk = 0;
            do{   
                nilai=parseInt(prompt('masukan nilai a')); //2
                nilaiMasuk=nilaiMasuk+nilai;                
                i++;
            }while(nilaiMasuk<10) 
            rataRata=nilaiMasuk/i;         
            this.a=nilaiMasuk;
            this.b=rataRata;            
        }
      }
  })
  </script>
</body>
</html>